Subject: Re: linux-next: manual merge of the xfs tree with the vfs tree

From: Al Viro <[email-masked]>
Date: Mon, 15 Feb 2010 03:44:17 +0000

On Mon, Feb 15, 2010 at 12:27:40PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the xfs tree got a conflict in
> fs/xfs/linux-2.6/xfs_super.c between commits
> 4a295406e025bb7c8241ea956ec1b84830499e96 ("make sure data is on disk
> before calling ->write_inode") and
> 716c28c0bc8bcbdd26e819f38dfc8fdfaafc0289 ("pass writeback_control to
> ->write_inode") from the vfs tree and commit
> 07fec73625dc0db6f9aed68019918208a2ca53f5 ("xfs: log changed inodes
> instead of writing them synchronously") from the xfs tree.
> 
> I fixed it up (I think - see below) and can carry the fix as necessary.
> What other file systems are doing for these conflicts is to merge in the
> "write_inode" branch of Al Viro's vfs tree
> (git://git.kernel.org/pub/scm/linux/kernel/git/viro/vfs-2.6.git) which Al
> has said will not be rebased.  (Both those commits are in that branch.)

Actually, I'd cheerfully rebased that sucker (to e.g. write_inode2); it has
grown a trivial conflict with mainline after one of gfs2 merges and it's
annoying to fix it up after each for-next rebase.

So I'd rather put a rebased variant and switched the for-next to using that,
if people who'd pulled it already are OK with that.